
From: Pavel Machek <pavel@ucw.cz>

This fixes confusing printk.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/kernel/power/swsusp.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN kernel/power/swsusp.c~swsusp-fixes-fix-confusing-printk kernel/power/swsusp.c
--- 25/kernel/power/swsusp.c~swsusp-fixes-fix-confusing-printk	2004-12-11 22:25:21.929247344 -0800
+++ 25-akpm/kernel/power/swsusp.c	2004-12-11 22:25:21.933246736 -0800
@@ -1131,7 +1131,7 @@ static int __init check_sig(void)
 		 */
 		error = bio_write_page(0, &swsusp_header);
 	} else { 
-		pr_debug(KERN_ERR "swsusp: Invalid partition type.\n");
+		pr_debug(KERN_ERR "swsusp: Suspend partition has wrong signature?\n");
 		return -EINVAL;
 	}
 	if (!error)
_
